<?php
require_once ('system/func.php');
$title = 'Подарки';
require_once ('system/header.php');
auth(); // Закроем от гостей




# Настройки #
$id = abs(intval($_GET['id']));
if ($id) {
    $profile = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '" . $id . "'"));
} else {
    $profile = $user;
}
# Ошибки #


if($profile['id'] =='2'){
$_SESSION['msg'] = "Администратору не нужны подарки";
header('Location: /main');
exit();
}

if($profile['id'] =='1'){
$_SESSION['msg'] = "Системному боту не нужны подарки";
header('Location: /main');
exit();
}










switch($_GET[mod]){
default:



if (num($_GET['id'])==$user['id']){
	header("Location: /profile/");
	exit;
}









if ($db = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id`='".num($_GET['id'])."'"))){
	$acc = mysql_query("SELECT * FROM `users` WHERE `id`='".num($_GET['id'])."'");
$acc = mysql_fetch_array($acc);	
	
	

	
	
	
	
}else{
	header('Location: /main?');
	exit;
}
echo'<div class="block_c">Подарки '.$acc[login].'</div>';
echo'<div class="block_c">';
$result = mysql_query("SELECT * FROM `podarok_ok` WHERE usr = '$acc[id]'");
echo '</div>';


if ($result == 0)


{
   
    
echo "<img src='/images/icons/city.png' alt='*'/> У персонажа <b>$acc[login]</b> нет подарков.</div>";
echo '<a href="/gift/'.$acc[id].'" class="link">'.ico('icons','podarok.png').' Подарить подарок '.$acc[login].'</a>';
echo'<a href="/profile/'.$acc[id].'" class="link">'.ico('icons','arrow.png').' Вернуться к '.$acc[login].'</a>';
echo ' </div>';
require_once ('system/footer.php');
exit;
}
else {
$set['p_str']=5;
$k_post = mysql_query("SELECT COUNT(*) FROM `podarok_ok` WHERE `usr` = '$acc[id]' ");
$k_page = k_page($k_post,$set['p_str']);
$page = page($k_page);
$start = $set['p_str']*$page-$set['p_str'];
$qi = mysql_query("SELECT * FROM `podarok_ok` WHERE `usr` = '$acc[id]' ORDER by `id` DESC LIMIT $start,$set[p_str] ");

while($msg = mysql_fetch_assoc($qi)){




$from = strip_tags($msg['nick']);
$froms = strip_tags($msg['times']);
$froms2 = strip_tags($msg['podarok']);

$froms3 = $msg[coment];
$coment = strip_tags($msg['froms3']);
$froms3 = text_msg($froms3);

$req = mysql_query("SELECT * FROM `users` WHERE `id` = '$from'");
////////////////////////////
$avto=$req->num_rows;



if($profile['id'] =='2'){
$_SESSION['msg'] = "Такой игрок не существует.";
header('Location: /main');
exit();
}



if($avto=="0"){
echo'<img src="pic/index/!.png" alt="*"/> Нет такого персонажа!';
echo ' </div>';
require_once ('system/footer.php');
exit;
}






echo '<div class="text_p1">';



$usdata = mysql_fetch_assoc($req);

//$usdata = $req->fetch_assoc();

$req = mysql_query("SELECT * FROM `users` WHERE `id` = '$from'");
//$pic = $req->fetch_assoc();
$pic = mysql_fetch_assoc($req);


echo "От: ";
$nik='<span style="text-shadov: 1px 0 10px  #'.$pic[gradient2].';">'.gradient(''.$pic[login].'',''.$pic[gradient1].'', ''.$pic[gradient2].'').'</span>';
echo icons_user($pic[id])." <a href='/profile/$pic[id]'>".$nik."</a> ";

echo ico('icons','timereg.png').' <font color=00CC00><small>('.$msg[times].')</small></font><br>';
echo'<img src="http://'.$_SERVER[SERVER_NAME].''.$msg[podarok].'" style = "width:40px; height:40px;float:left;margin-left:0px;margin-bottom:2px;margin-right:6px;" alt="ID:lake_8"/></br>';
echo ico('icons','mail.png')." $froms3";
echo'<div style="clear:both"></div>';
echo '</div>';


}}

echo '<div class="block_c">';

if($k_post>10){
str('?',$k_page,$page); // Вывод страниц
echo ' </div>';


}
echo ' </div>';

echo div('main_link');
echo '<a href="/gift/'.$acc[id].'" class="link"><div class="ssilki_dop p_0"> Подарить подарок '.$acc[login].'</a></div></div>';

echo div('main_link');
echo'<a href="/profile/'.$acc[id].'" class="link"><div class="ssilki_dop p_0"> Вернуться к '.$acc[login].'</a></div></div>';


}
echo ' </div>';
require_once ('system/footer.php');
?>